<script setup>
import { reactive } from 'vue'
import { ref } from 'vue'


const counter = reactive({
  count: 0,
  name:"counter1"
})

const text = ref('Hello')

function increment() {
  counter.count ++;
}
let message = ref ("hello world !");

const titleClass = ref('title');

function add2Text(e) {
  text.value = e.target.value;
}

console.log(counter.count) // 0
counter.count++

// component logic
// declare some reactive state here.
</script>

<template>
  <h1 v-bind:class=titleClass>{{ message }} {{ counter.name}}={{ counter.count }}</h1>
  <button v-on:onclick="increment">increase counter</button>
  <input v-model="text" placeholder="Type here">
  <p>{{ text }}</p>

</template>


<style>
.title {
  color: red;
}
</style>